Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventBulkRequest`, `DaprAppCallbackProtos.TopicEventBulkRequest.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicEventBulkRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsMetadata(String key)`
  The metadata associated with the this bulk request.
  `DaprAppCallbackProtos.TopicEventBulkRequestEntry`
  `getEntries(int index)`
  The list of items inside this bulk request.
  `int`
  `getEntriesCount()`
  The list of items inside this bulk request.
  `List<DaprAppCallbackProtos.TopicEventBulkRequestEntry>`
  `getEntriesList()`
  The list of items inside this bulk request.
  `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
  `getEntriesOrBuilder(int index)`
  The list of items inside this bulk request.
  `List<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder>`
  `getEntriesOrBuilderList()`
  The list of items inside this bulk request.
  `String`
  `getId()`
  Unique identifier for the bulk request.
  `com.google.protobuf.ByteString`
  `getIdBytes()`
  Unique identifier for the bulk request.
  `Map<String,String>`
  `getMetadata()`
  Deprecated.
  `int`
  `getMetadataCount()`
  The metadata associated with the this bulk request.
  `Map<String,String>`
  `getMetadataMap()`
  The metadata associated with the this bulk request.
  `String`
  `getMetadataOrDefault(String key, String defaultValue)`
  The metadata associated with the this bulk request.
  `String`
  `getMetadataOrThrow(String key)`
  The metadata associated with the this bulk request.
  `String`
  `getPath()`
  The matching path from TopicSubscription/routes (if specified) for this event.
  `com.google.protobuf.ByteString`
  `getPathBytes()`
  The matching path from TopicSubscription/routes (if specified) for this event.
  `String`
  `getPubsubName()`
  The name of the pubsub the publisher sent to.
  `com.google.protobuf.ByteString`
  `getPubsubNameBytes()`
  The name of the pubsub the publisher sent to.
  `String`
  `getTopic()`
  The pubsub topic which publisher sent to.
  `com.google.protobuf.ByteString`
  `getTopicBytes()`
  The pubsub topic which publisher sent to.
  `String`
  `getType()`
  The type of event related to the originating occurrence.
  `com.google.protobuf.ByteString`
  `getTypeBytes()`
  The type of event related to the originating occurrence.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getId

    String getId()

         Unique identifier for the bulk request.

    `string id = 1;`
    Returns:
      The id.

  - ### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

         Unique identifier for the bulk request.

    `string id = 1;`
    Returns:
      The bytes for id.

  - ### getEntriesList

    List<DaprAppCallbackProtos.TopicEventBulkRequestEntry> getEntriesList()

         The list of items inside this bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

  - ### getEntries

    DaprAppCallbackProtos.TopicEventBulkRequestEntry getEntries(int index)

         The list of items inside this bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

  - ### getEntriesCount

    int getEntriesCount()

         The list of items inside this bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

  - ### getEntriesOrBuilderList

    List<? extends DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder> getEntriesOrBuilderList()

         The list of items inside this bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

  - ### getEntriesOrBuilder

    DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder getEntriesOrBuilder(int index)

         The list of items inside this bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkRequestEntry entries = 2;`

  - ### getMetadataCount

    int getMetadataCount()

         The metadata associated with the this bulk request.

    `map<string, string> metadata = 3;`

  - ### containsMetadata

    boolean containsMetadata(String key)

         The metadata associated with the this bulk request.

    `map<string, string> metadata = 3;`

  - ### getMetadata

    @Deprecated Map<String,String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    Map<String,String> getMetadataMap()

         The metadata associated with the this bulk request.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrDefault

    String getMetadataOrDefault(String key, String defaultValue)

         The metadata associated with the this bulk request.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrThrow

    String getMetadataOrThrow(String key)

         The metadata associated with the this bulk request.

    `map<string, string> metadata = 3;`

  - ### getTopic

    String getTopic()

         The pubsub topic which publisher sent to.

    `string topic = 4;`
    Returns:
      The topic.

  - ### getTopicBytes

    com.google.protobuf.ByteString getTopicBytes()

         The pubsub topic which publisher sent to.

    `string topic = 4;`
    Returns:
      The bytes for topic.

  - ### getPubsubName

    String getPubsubName()

         The name of the pubsub the publisher sent to.

    `string pubsub_name = 5;`
    Returns:
      The pubsubName.

  - ### getPubsubNameBytes

    com.google.protobuf.ByteString getPubsubNameBytes()

         The name of the pubsub the publisher sent to.

    `string pubsub_name = 5;`
    Returns:
      The bytes for pubsubName.

  - ### getType

    String getType()

         The type of event related to the originating occurrence.

    `string type = 6;`
    Returns:
      The type.

  - ### getTypeBytes

    com.google.protobuf.ByteString getTypeBytes()

         The type of event related to the originating occurrence.

    `string type = 6;`
    Returns:
      The bytes for type.

  - ### getPath

    String getPath()

         The matching path from TopicSubscription/routes (if specified) for this event.
         This value is used by OnTopicEvent to "switch" inside the handler.

    `string path = 7;`
    Returns:
      The path.

  - ### getPathBytes

    com.google.protobuf.ByteString getPathBytes()

         The matching path from TopicSubscription/routes (if specified) for this event.
         This value is used by OnTopicEvent to "switch" inside the handler.

    `string path = 7;`
    Returns:
      The bytes for path.